<?php get_header(); ?>

<?php if ( have_posts() ) : ?>

<section class="wrapper">

<main id="content">

	<div class="breadcrumbs">
	<?php esc_attr_e('You are here:', 'cinematix'); ?> <a href="<?php echo home_url(); ?>"><?php esc_attr_e('Home', 'cinematix'); ?></a> / <span class="current"><?php echo cinematix_get_the_archive_title(); ?></span>
	</div>

	<h1 class="page-title half"><?php echo cinematix_get_the_archive_title(); ?></h1>

	<?php $nonce = wp_create_nonce("cinematix_blog_archive_tabs"); ?>

	<div id="item-nav">

	<div id="object-nav" class="item-list-tabs archive-tabs" role="navigation">
			<ul>
				<?php 
				$queried_object = get_queried_object();
				if ($queried_object->taxonomy == 'category') {
					$taxonomy = 'cat';
				} elseif ($queried_object->taxonomy == 'post_tag') {
					$taxonomy = 'tag_id';
				} else {
					echo "Wrong taxonomy parameter.";
				}
				?>
				<li class="current" data-posts-type="1" data-taxonomy="<?php echo esc_attr( $taxonomy ); ?>" data-tab-page="1" data-term-id="<?php echo esc_attr( $queried_object->term_id ); ?>"><span><?php esc_attr_e('Recent', 'cinematix'); ?></span></li>
				<li data-posts-type="3" data-taxonomy="<?php echo esc_attr( $taxonomy ); ?>" data-tab-page="1" data-term-id="<?php echo esc_attr( $queried_object->term_id ); ?>"><span><?php esc_attr_e('Most commented', 'cinematix'); ?></span></li>				
				<?php if (function_exists('wp_ulike_get_post_likes')) { ?><li data-posts-type="2" data-taxonomy="<?php echo esc_attr( $taxonomy ); ?>" data-tab-page="1" data-term-id="<?php echo esc_attr( $queried_object->term_id ); ?>"><span><?php esc_attr_e('Most liked', 'cinematix'); ?></span></li><?php } ?>
			</ul>
	</div><!-- .item-list-tabs -->

	</div><!-- item-nav -->

<div class="clear"></div>

<?php 
$desc = $queried_object->description;
if ($desc) {
	echo '<div class="subtitle desc">';
	echo esc_attr( $desc );
	echo '</div>';
	echo '<div class="clear"></div>';
}
?>


<ul class="blog-1 blog-1-sidebar col-2 list-unstyled">

<?php
$temp = $wp_query;
$term_id = $queried_object->term_id;
$wp_query->query('posts_per_page=6&' . $taxonomy . '=' . $term_id . '&paged=1');
while ($wp_query->have_posts()) : $wp_query->the_post();

get_template_part( 'template-parts/blog', 'grid' );

endwhile; ?>

	<?php else : ?>

		<h2 class="center"><?php esc_attr_e('Not Found', 'cinematix'); ?></h2>
		<?php get_search_form(); ?>

	<?php endif; ?>

<div class="clear"></div>

</ul>

<?php $wp_query = null; $wp_query = $temp; ?>

<div class="load-more-container">
<span id="load-more-archive" class="show" data-posts-type="1" data-taxonomy="<?php echo esc_attr( $taxonomy ); ?>" data-tab-page="1" data-term-id="<?php echo esc_attr( $queried_object->term_id ); ?>"><?php esc_attr_e('Load More', 'cinematix'); ?></span>
</div>

</main><!-- content -->

<div id="sidebar-spacer"></div>

<button id="sidebar-trigger"></button>

<aside id="sidebar" class="sidebar">

<button id="sidebar-close"></button>

	<?php
	$transient = get_transient( 'cinematix_sidebar_blog' );
	if ( false === $transient OR !get_theme_mod( 'cinematix_transient_sidebar_blog_enable', 0 ) == 1 ) {
	ob_start();

	if (function_exists('dynamic_sidebar') && dynamic_sidebar('sidebar-blog')) : endif;

	$sidebar = ob_get_clean();
	print_r( $sidebar );
	
	if ( get_theme_mod( 'cinematix_transient_sidebar_blog_enable', 0 ) == 1 ) {
		set_transient( 'cinematix_sidebar_blog', $sidebar, MINUTE_IN_SECONDS * get_theme_mod( 'cinematix_transient_sidebar_blog_expiration', 20 ) );
	}

	} else {
		echo '<!-- Transient cinematix_sidebar_blog ('.get_theme_mod( 'cinematix_transient_sidebar_blog_expiration', 20 ).' min) -->';
		print_r( $transient );
	}
	?>

</aside><!--sidebar ends-->

</section><!-- .wrapper -->

<?php get_footer(); ?>
