<?php
/**
 * BuddyPress Activity templates
 *
 * @since 2.3.0
 * @version 3.0.0
 */
?>

<section class="wrapper layout-col-3">

<button id="left-sidebar-trigger"></button>

<aside id="left-sidebar" class="sidebar sidebar-small-1">
	<button id="left-sidebar-close"></button>

	<?php
	$transient_left = get_transient( 'cinematix_sidebar_left' );
	if ( false === $transient_left OR !get_theme_mod( 'cinematix_transient_sidebar_left_enable', 0 ) == 1 ) {
	ob_start();
	 if (function_exists('dynamic_sidebar') && dynamic_sidebar('sidebar-left')) : ?><?php endif;

	$sidebar_left = ob_get_clean();
	echo wp_kses_post( $sidebar_left );

	if ( get_theme_mod( 'cinematix_transient_sidebar_left_enable', 1 ) == 1 ) {
		set_transient( 'cinematix_sidebar_left', $sidebar_left, MINUTE_IN_SECONDS * get_theme_mod( 'cinematix_transient_sidebar_left_time', 20 ) );
	}

	} else {
		echo '<!-- Transient cinematix_sidebar_left ('.get_theme_mod( 'cinematix_transient_sidebar_left_time', 20 ).' min) -->';
		echo wp_kses_post( $transient_left );
	}
	?>
	
</aside>

<div id="sidebar-spacer-left"></div>

<main id="content">

	<div class="breadcrumbs">
	<?php esc_attr_e('You are here:', 'cinematix'); ?> <a href="<?php echo home_url(); ?>"><?php esc_attr_e('Home', 'cinematix'); ?></a> / <span class="current"><?php the_title(); ?></span>
	</div>

	<?php bp_nouveau_before_activity_directory_content(); ?>

	<?php if ( is_user_logged_in() ) : ?>

		<?php bp_get_template_part( 'activity/post-form' ); ?>

	<?php endif; ?>

	<?php bp_nouveau_template_notices(); ?>

	<?php if ( ! bp_nouveau_is_object_nav_in_sidebar() ) : ?>

		<?php bp_get_template_part( 'common/nav/directory-nav' ); ?>

	<?php endif; ?>

	<div class="screen-content">

		<?php bp_get_template_part( 'common/search-and-filters-bar' ); ?>

			<div class="clear"></div>

		<?php bp_nouveau_activity_hook( 'before_directory', 'list' ); ?>

		<div id="activity-stream" class="activity" data-bp-list="activity">

				<div id="bp-ajax-loader"><?php bp_nouveau_user_feedback( 'directory-activity-loading' ); ?></div>

		</div><!-- .activity -->

		<?php bp_nouveau_after_activity_directory_content(); ?>

	</div><!-- // .screen-content -->

</main><!-- content -->

<button id="sidebar-trigger"></button>

<aside id="sidebar" class="sidebar">

<button id="sidebar-close"></button>

<?php 
$transient_right = get_transient( 'cinematix_sidebar_activity' );
if ( false === $transient_right OR ( !get_theme_mod( 'cinematix_transient_sidebar_activity_enable', 0 ) == 1 ) ) {
ob_start();
	
	if (function_exists('dynamic_sidebar') && dynamic_sidebar('sidebar-activity')) : endif; 

	$sidebar = ob_get_clean();
	echo wp_kses_post( $sidebar );

	if ( get_theme_mod( 'cinematix_transient_sidebar_activity_enable', 0 ) == 1 ) {
			set_transient( 'cinematix_sidebar_activity', $sidebar, MINUTE_IN_SECONDS * get_theme_mod( 'cinematix_transient_sidebar_activity_time', 20 ) );
	}
	
	} else {
		echo '<!-- Transient cinematix_sidebar_activity ('.get_theme_mod( 'cinematix_transient_sidebar_activity_time', 20 ).' min) -->';
		echo wp_kses_post( $transient_right );
	}
?>

</aside><!--sidebar ends-->

<div id="sidebar-spacer"></div>

</section><!-- wrapper -->
