<?php
/**
 * BuddyPress - Groups Loop
 *
 * @since 3.0.0
 * @version 3.1.0
 */

bp_nouveau_before_loop(); ?>

<?php if ( bp_get_current_group_directory_type() ) : ?>
	<p class="current-group-type"><?php bp_current_group_directory_type_message(); ?></p>
<?php endif; ?>

<?php if ( bp_has_groups( bp_ajax_querystring( 'groups' ) . '&per_page=12' ) ) : ?>

	<ul id="groups-list" class="<?php bp_nouveau_loop_classes(); ?>">

	<?php
	while ( bp_groups() ) :
		bp_the_group();
	?>

	<li <?php bp_group_class( array( 'item-entry' ) ); ?> data-bp-item-id="<?php bp_group_id(); ?>" data-bp-item-component="groups">

    <div class="group-box">
    <?php // Get the Cover Image
        $group_cover_image_url = bp_attachments_get_attachment('url', array(
          'object_dir' => 'groups',
          'item_id' => bp_get_group_id(),
        ));

    if (!$group_cover_image_url) {
        	$group_cover_image_url = get_template_directory_uri().'/buddypress/img/cover.jpg';
        }
    ?>

	<div class="group-image-container" style="background-image: url('<?php echo esc_url($group_cover_image_url); ?>');">
		<a class="image" href="<?php bp_group_permalink() ?>"><?php bp_group_avatar( 'type=full' ) ?></a>
	</div>

	<div class="group-details">
	<h6 class="group-title"><a href="<?php bp_group_permalink() ?>"><?php $grouptitle = bp_get_group_name(); $getlength = strlen($grouptitle); $thelength = 20; echo mb_substr($grouptitle, 0, $thelength, 'UTF-8'); if ($getlength > $thelength) echo "..."; ?></a></h6>

		<span class="group-type"><?php bp_group_type() ?></span>

		<span class="group-desc"><?php bp_group_description_excerpt() ?></span>

		<div class="group-stats">
			<span class="activity">
			<?php
			$print = bp_get_group_last_active( 0, array( 'relative' => true ) );
			$print = str_replace("ago", "", $print);
			$printArray = explode(",", $print);
			$print = $printArray[0];
			echo wp_kses_post($print);
			?> <?php _e( 'ago', 'cinematix' ) ?></span>

			<?php
			global $groups_template;
			if ( isset( $groups_template->group->total_member_count ) ) {
				$count = (int) $groups_template->group->total_member_count;
			} else {
				$count = 0;
			}
			echo '<span class="members-count">' . $count . '</span>';
			?>
	</div>

	</div><!-- group-box-details -->

	<?php bp_group_join_button() ?>

	<?php if (!is_user_logged_in()) { ?>
		<button class="join-group" onclick="loginPopUp()"><?php _e( 'Join Group', 'cinematix' ); ?></button>
	<?php } ?>

    </div><!-- group-box ends -->

	</li>

	<?php endwhile; ?>

	</ul>

	<?php bp_nouveau_pagination( 'bottom' ); ?>

<?php else : ?>

	<?php bp_nouveau_user_feedback( 'groups-loop-none' ); ?>

<?php endif; ?>

<?php
bp_nouveau_after_loop();
