<?php
/**
 * Group Members Loop template
 *
 * @since 3.0.0
 * @version 3.2.0
 */
?>

<?php if ( bp_group_has_members( bp_ajax_querystring( 'group_members' ) ) ) : ?>

	<?php bp_nouveau_group_hook( 'before', 'members_content' ); ?>

	<?php bp_nouveau_group_hook( 'before', 'members_list' ); ?>

	<ul id="members-list" class="<?php bp_nouveau_loop_classes(); ?>">

		<?php
		while ( bp_group_members() ) :
			bp_group_the_member();
		?>

		<li <?php bp_member_class( array( 'item-entry' ) ); ?> data-bp-item-id="<?php bp_member_user_id(); ?>" data-bp-item-component="members">

				<div class="item">

		    	<?php // Get the Cover Image
        		$member_cover_image_url = bp_attachments_get_attachment('url', array(
          			'object_dir' => 'members',
          			'item_id' => bp_get_member_user_id(),
        		));

    			if (!$member_cover_image_url) {
        			$member_cover_image_url = get_template_directory_uri().'/buddypress/img/cover.jpg';
        		}
    			?>

				<div class="cover" style="background-image: url('<?php echo esc_url($member_cover_image_url); ?>');">

					<div class="item-avatar">
						<a href="<?php bp_member_permalink(); ?>"><?php bp_member_avatar( bp_nouveau_avatar_args() ); ?></a>
					</div>

				</div>

					<div class="item-block">

						<h2 class="list-title member-name">
							<a href="<?php bp_member_permalink(); ?>"><?php bp_member_name(); ?> <span class="online-status" title="<?php bp_nouveau_member_meta(); ?>"></span></a>
						</h2>


						<?php $profile_field = bp_get_member_profile_data( 'field=Location' );
						if( $profile_field ) { ?>
						<div class="member-location">
							<?php echo esc_attr( $profile_field ) ?>
						</div>
						<?php } ?>

						<?php if ( shortcode_exists( 'gamipress_achievements' ) ) { ?><?php echo do_shortcode( '[gamipress_achievements type="all" filter="no" search="no" title="no" points_awarded="no" excerpt="no" times_earned="no" steps="no" toggle="no" unlock_button="unlock_button" layout="none" current_user="no" user_id="' . bp_get_member_user_id() . '"]' ); ?><?php } ?>

					</div>

					<div class="clear"></div>

					<?php if ( bp_get_member_latest_update() && ! bp_nouveau_loop_is_grid() ) : ?>
					<div class="user-update">
						<p class="update"> <?php bp_member_latest_update('length=68'); ?></p>
					</div>
					<?php endif; ?>

					<?php
					bp_nouveau_members_loop_buttons(
							array(
								'container'      => 'ul',
								'button_element' => 'button',
							)
						);
					?>

					<?php if (!is_user_logged_in()) { ?>
						<button class="add-friend" onclick="loginPopUp()"><?php _e( 'Add Friend', 'cinematix' ); ?></button>
					<?php } ?>

				</div><!-- // .item -->

		</li>

		<?php endwhile; ?>

	</ul>

	<?php bp_nouveau_group_hook( 'after', 'members_list' ); ?>

	<?php bp_nouveau_pagination( 'bottom' ); ?>

	<?php bp_nouveau_group_hook( 'after', 'members_content' ); ?>

<?php else :

	bp_nouveau_user_feedback( 'group-members-none' );

endif;
