<?php
/**
 * BuddyPress - Members Home
 *
 * @since   1.0.0
 * @version 3.0.0
 */
?>

<section class="wrapper-profile-head">

<section class="wrapper">

	<div class="breadcrumbs">
	<?php esc_attr_e('You are here:', 'cinematix'); ?> <a href="<?php echo home_url(); ?>"><?php esc_attr_e('Home', 'cinematix'); ?></a> / <a href="<?php echo home_url(); ?>/members"><?php esc_attr_e('Members', 'cinematix'); ?></a> / <span class="current"><?php the_title(); ?></span>
	</div>

	<?php bp_nouveau_member_hook( 'before', 'home_content' ); ?>

	<?php // Get the Cover Image
    $cover_url = bp_attachments_get_attachment('url', array(
        'object_dir' => 'members',
        'item_id' => bp_displayed_user_id(),
    ));

    if (!$cover_url) {
        $cover_url = get_template_directory_uri().'/buddypress/img/cover.jpg';
    }
    ?>

	<div id="profile-cover" style="background-image: url('<?php echo esc_url($cover_url); ?>');">

	<div id="item-header" role="complementary" data-bp-item-id="<?php echo esc_attr( bp_displayed_user_id() ); ?>" data-bp-item-component="members" class="users-header single-headers">

		<?php bp_nouveau_member_header_template_part(); ?>

	</div><!-- #item-header -->

	</div><!-- profile-cover -->

	<div class="clear"></div>

		<?php if ( ! bp_nouveau_is_object_nav_in_sidebar() ) : ?>

				<?php bp_get_template_part( 'members/single/parts/item-nav' ); ?>

		<?php endif; ?>

</section><!-- .wrapper -->
</section><!-- .wrapper-profile-head -->

<section class="wrapper">

	<div class="bp-wrap">

		<div class="clear"></div>

		<div class="layout-col-3">

		<?php bp_get_template_part( 'members/single/profile-sidebar-left' ); ?>

		<div id="item-body" class="item-body">

			<?php bp_nouveau_member_template_part(); ?>

		</div><!-- #item-body -->

		<?php bp_get_template_part( 'members/single/profile-sidebar' ); ?>

		</div><!-- layout-col-3 -->

	</div><!-- // .bp-wrap -->

	<?php bp_nouveau_member_hook( 'after', 'home_content' ); ?>

</section><!-- .wrapper -->
