<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php endif; ?>
<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

	<?php
	if ( function_exists( 'wp_body_open' ) ) {
    	wp_body_open();
	} else {
    	do_action( 'wp_body_open' );
	}

	if ( get_theme_mod( 'cinematix_preloader_enable', false ) === true ) {
	echo '<div id="loader-wrapper"></div>';
	}
	?>

		<header id="main">

				<div class="logo">

				<?php if ( get_theme_mod( 'custom_logo' ) ) { ?>
						<?php the_custom_logo(); ?>
					<?php } else { ?>
						<a href="<?php echo home_url(); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"><img src="<?php echo esc_attr( get_bloginfo( 'template_directory', 'display' ) ); ?>/img/logo.png" class="logo-image" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" /></a>		
				<?php } ?>

				</div>


			<div class="right">

			<?php 
			if ( is_user_logged_in() && function_exists( 'bp_is_active' ) ) {

					get_template_part( 'template-parts/header-user', 'panel' );

				if( bp_is_active('notifications') ) {
					get_template_part( 'template-parts/header', 'notifications' );
				}

				if( bp_is_active('messages') ) {
					get_template_part( 'template-parts/header', 'messages' );
				}

			}
			?>

			<?php if ( !is_user_logged_in() ) { ?>

				<?php if ( is_front_page() || is_page_template( array( 'frontpage-2.php', 'frontpage-page-builder.php' ) ) ) { ?>
					<a class="login header-top-login-jump login-popup-action"></a>
				<?php } else { ?>
					<a class="login login-popup-action"></a>
				<?php } ?>

				<a href="<?php echo home_url(); ?>/register" class="sign-in tada"><?php esc_attr_e('Register', 'cinematix'); ?></a>

			<?php } ?>


			</div><!-- right -->

			<?php
			$transient = get_transient( 'cinematix_header_menu' );
			if ( false === $transient OR !get_theme_mod( 'cinematix_transient_header_menu_enable', 0 ) == 1 ) {

			if ( has_nav_menu( 'header-menu' ) ) {
			ob_start(); ?>

			<div id="header-menu-container">
			<?php
			wp_nav_menu( array(
			 'theme_location' => 'header-menu',
			 'container' => false,
			 'menu_class' => 'menu',
			 'echo' => true,
			 'link_before' => '',
			 'link_after' => '',
			 'walker' => new Child_Wrap(),
			 'depth' => 0,)
			);
			?>

			</div><!-- header-menu-container -->


			<?php
			$header_menu = ob_get_clean();
			print_r( $header_menu );
			if ( get_theme_mod( 'cinematix_transient_header_menu_enable', 1 ) == 1 ) {
				set_transient( 'cinematix_header_menu', $header_menu, MINUTE_IN_SECONDS * get_theme_mod( 'cinematix_transient_header_menu_expiration', 10080 ) );
			}
			}

			} else {
			echo '<!-- cinematix_header_menu transient -->';
			print_r( $transient );
			} ?>

			<?php if ( has_nav_menu( 'compact-menu' ) ) { ?>
			
			<div id="compact-menu">
				<div class="trigger"></div>
				<div class="menu">
					<?php
					$transient_compact_menu = get_transient( 'cinematix_compact_menu' );
					if ( false === $transient_compact_menu OR !get_theme_mod( 'cinematix_transient_compact_menu_enable', 0 ) == 1 ) {

							ob_start();

							wp_nav_menu( array(
							 'theme_location' => 'compact-menu',
							 'container' => false,
							 'menu_class' => 'compact-menu',
							 'echo' => true,
							 'before' => '',
							 'after' => '',
							 'link_before' => '',
							 'link_after' => '',
							 'depth' => 0,)
							);

							$compact_menu = ob_get_clean();
							print_r( $compact_menu );
							if ( get_theme_mod( 'cinematix_transient_compact_menu_enable', 0 ) == 1 ) {
								set_transient( 'cinematix_compact_menu', $compact_menu, MINUTE_IN_SECONDS * get_theme_mod( 'cinematix_transient_compact_menu_expiration', 10080 ) );
							}

					} else {
						echo '<!-- cinematix_compact_menu transient -->';
						print_r( $transient_compact_menu );
					}
					?>
				</div>
			</div>

			<?php } ?>

			<div id="header-search" class="compact" onclick="headerSearchOpen()">
				<span onclick="headerSearchClose()" class="close"></span>
				<?php get_search_form(); ?>
			</div>

		</header>

	<div class="container">