<?php
/**
 * Customizer functionality
 */

function cinematix_logo() {
    add_theme_support( 'custom-logo', array(
        'width'       => 260,
        'height'      => 70,
        'flex-width' => true,
        'flex-height' => true,
    ) );
}
add_action('after_setup_theme', 'cinematix_logo');


add_action( 'customize_register' , 'cinematix_theme_options' );

function cinematix_theme_options( $wp_customize ) {

/////////////////////////////////////////////////////////////////////////////////////////////

$wp_customize->add_section( 'cinematix_general_section' , array(
    'title'       => 'General',
    'priority'    => 1,
    'description' => 'Change general settings',
) );


$wp_customize->add_setting( 'cinematix_preloader_enable', array(
        'default' => false,
        'sanitize_callback' => 'sanitize_text_field'
    ) );

$wp_customize->add_control( 'cinematix_preloader_enable', array(
    'type'     => 'checkbox',
    'priority' => 1,
    'section'  => 'cinematix_general_section',
    'settings'  => 'cinematix_preloader_enable',
    'label'    => 'Enable preloader',
) );


$wp_customize->add_setting( 'cinematix_login_popup_frontpage_enable', array(
        'default' => false,   
        'sanitize_callback' => 'sanitize_text_field'
    ) );

$wp_customize->add_control( 'cinematix_login_popup_frontpage_enable', array(
    'type'     => 'checkbox',
    'priority' => 1,
    'section'  => 'cinematix_general_section',
    'settings'  => 'cinematix_login_popup_frontpage_enable',
    'label'    => 'Enable login popup on the frontpage',
) );


$wp_customize->add_setting( 'cinematix_blog_breadcrumb_title' , array(
    'default' => "News",
    'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'cinematix_blog_breadcrumb_title', array(
    'type'     => 'text',
    'priority' => 1,
    'section'  => 'cinematix_general_section',
    'settings'  => 'cinematix_blog_breadcrumb_title',
    'label'    => 'Breadcrumb title of the blog posts listing page',
) );


$wp_customize->add_setting( 'cinematix_blog_slug' , array(
    'default' => "news",
    'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'cinematix_blog_slug', array(
    'type'     => 'text',
    'priority' => 1,
    'section'  => 'cinematix_general_section',
    'settings'  => 'cinematix_blog_slug',
    'label'    => 'Breadcrumb slug of the blog posts listing page',
) );


/////////////////////////////////////////////////////////////////////////////////////////////


$wp_customize->add_section( 'cinematix_colors_section' , array(
    'title'       => 'Colors',
    'priority'    => 99,
    'description' => 'Change colors of theme',
));


$wp_customize->add_setting( 'cinematix_bg_color',
    array(
    'default' => '#002635',
    'sanitize_callback' => 'sanitize_hex_color'
));

$wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'cinematix_bg_color', array(
    'label'      => 'Background color',
    'priority' => 1,
    'section'  => 'cinematix_colors_section',
    'settings' => 'cinematix_bg_color',
)));



$wp_customize->add_setting( 'cinematix_main_color',
    array(
    'default' => '#ff9801',
    'sanitize_callback' => 'sanitize_hex_color'
));

$wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'cinematix_main_color', array(
    'label'      => 'Main background color (e.g. header)',
    'priority' => 1,
    'section'  => 'cinematix_colors_section',
    'settings' => 'cinematix_main_color',
)));



$wp_customize->add_setting( 'cinematix_menus_bg',
    array(
    'default' => '#ff9801',
    'sanitize_callback' => 'sanitize_hex_color'
));

$wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'cinematix_menus_bg', array(
    'label'      => 'Menus background color (fill and stroke color of arrows should be changed in the img/arrow.svg, img/arrow-2.svg)',
    'priority' => 1,
    'section'  => 'cinematix_colors_section',
    'settings' => 'cinematix_menus_bg',
)));


$wp_customize->add_setting( 'cinematix_footer_bg_color',
    array(
    'default' => '#00212e',
    'sanitize_callback' => 'sanitize_hex_color'
));

$wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'cinematix_footer_bg_color', array(
    'label'      => 'Footer background color',
    'priority' => 1,
    'section'  => 'cinematix_colors_section',
    'settings' => 'cinematix_footer_bg_color',
)));


$wp_customize->add_setting( 'cinematix_button_bg',
    array(
    'default' => '#ff9801',
    'sanitize_callback' => 'sanitize_hex_color'
));

$wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'cinematix_button_bg', array(
    'label'      => 'General buttons background color',
    'priority' => 1,
    'section'  => 'cinematix_colors_section',
    'settings' => 'cinematix_button_bg',
) ) );


$wp_customize->add_setting( 'cinematix_button_color',
    array(
    'default' => '#ffffff',
    'sanitize_callback' => 'sanitize_hex_color'
));

$wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'cinematix_button_color', array(
    'label'      => 'General buttons font color',
    'priority' => 1,
    'section'  => 'cinematix_colors_section',
    'settings' => 'cinematix_button_color',
) ) );


$wp_customize->add_setting( 'cinematix_bg_color_1',
    array(
    'default' => '#fc6d37',
    'sanitize_callback' => 'sanitize_hex_color'
));

$wp_customize->add_control( new WP_Customize_Color_Control ( $wp_customize, 'cinematix_bg_color_1', array(
    'label'      => 'Groups, members buttons, login bottom background',
    'priority' => 1,
    'section'  => 'cinematix_colors_section',
    'settings' => 'cinematix_bg_color_1',
) ) );


/////////////////////////////////////////////////////////////////////////////////////////////

$wp_customize->add_section( 'cinematix_footer_section' , array(
    'title'       => 'Footer',
    'priority'    => 99,
    'description' => 'Change footer settings',
) );


$wp_customize->add_setting( 'cinematix_footer_columns_enable', array(
        'default' => false,
        'sanitize_callback' => 'sanitize_text_field'
    ) );

$wp_customize->add_control( 'cinematix_footer_columns_enable', array(
    'type'     => 'checkbox',
    'priority' => 1,
    'section'  => 'cinematix_footer_section',
    'settings'  => 'cinematix_footer_columns_enable',
    'label'    => 'Enable footer columns',
) );


$wp_customize->add_setting( 'cinematix_footer_logo_enable', array(
        'default' => true,
        'sanitize_callback' => 'sanitize_text_field'
    ) );

$wp_customize->add_control( 'cinematix_footer_logo_enable', array(
    'type'     => 'checkbox',
    'priority' => 1,
    'section'  => 'cinematix_footer_section',
    'settings'  => 'cinematix_footer_logo_enable',
    'label'    => 'Footer logo enable',
) );


$wp_customize->add_setting( 'cinematix_footer_logo' , array(
    'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'cinematix_footer_logo', array(
    'label'    => 'Footer logo (260px x 70px)',
    'priority' => 1,
    'section'  => 'cinematix_footer_section',
    'settings'  => 'cinematix_footer_logo',
) ) );


$wp_customize->add_setting( 'cinematix_footer_info_enable', array(
        'default' => true,
        'sanitize_callback' => 'sanitize_text_field'
    ) );

$wp_customize->add_control( 'cinematix_footer_info_enable', array(
    'type'     => 'checkbox',
    'priority' => 1,
    'section'  => 'cinematix_footer_section',
    'settings'  => 'cinematix_footer_info_enable',
    'label'    => 'Footer side info enable',
) );


$wp_customize->add_setting( 'cinematix_footer_info' , array(
    'default' => "A social network service in a box. Get your community to the higher level. It's easy with cinematix.",
    'sanitize_callback' => 'esc_attr',
) );

$wp_customize->add_control( 'cinematix_footer_info', array(
    'type'     => 'textarea',
    'priority' => 2,
    'section'  => 'cinematix_footer_section',
    'settings'  => 'cinematix_footer_info',
    'label'    => 'Footer site info:',
) );


$wp_customize->add_setting( 'cinematix_footer_menu_1_title' , array(
    'default' => "Informations",
    'sanitize_callback' => 'esc_attr',
) );

$wp_customize->add_control( 'cinematix_footer_menu_1_title', array(
    'type'     => 'text',
    'priority' => 2,
    'section'  => 'cinematix_footer_section',
    'settings'  => 'cinematix_footer_menu_1_title',
    'label'    => 'Footer menu 1 title',
) );


$wp_customize->add_setting( 'cinematix_footer_menu_2_title' , array(
    'default' => "Legal",
    'sanitize_callback' => 'esc_attr',
) );

$wp_customize->add_control( 'cinematix_footer_menu_2_title', array(
    'type'     => 'text',
    'priority' => 2,
    'section'  => 'cinematix_footer_section',
    'settings'  => 'cinematix_footer_menu_2_title',
    'label'    => 'Footer menu 2 title',
) );


$wp_customize->add_setting( 'cinematix_footer_social_title' , array(
    'default' => "Follow Us",
    'sanitize_callback' => 'esc_attr',
) );

$wp_customize->add_control( 'cinematix_footer_social_title', array(
    'type'     => 'text',
    'priority' => 2,
    'section'  => 'cinematix_footer_section',
    'settings'  => 'cinematix_footer_social_title',
    'label'    => 'Social icons section title',
) );


$wp_customize->add_setting( 'cinematix_social_1' , array(
    'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( 'cinematix_social_1', array(
    'type'     => 'checkbox',
    'priority' => 2,
    'section'  => 'cinematix_footer_section',
    'settings'  => 'cinematix_social_1',
    'label'    => 'Disable Facebook icon',
) );



$wp_customize->add_setting( 'cinematix_social_2' , array(
    'sanitize_callback' => 'esc_url_raw',
) );


$wp_customize->add_control( 'cinematix_social_2', array(
    'type'     => 'checkbox',
    'priority' => 2,
    'section'  => 'cinematix_footer_section',
    'settings'  => 'cinematix_social_2',
    'label'    => 'Disable YouTube icon',
) );


$wp_customize->add_setting( 'cinematix_social_2_link' , array(
    'default' => '//youtube.com',
    'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( 'cinematix_social_2_link', array(
    'type'     => 'url',
    'priority' => 2,
    'section'  => 'cinematix_footer_section',
    'settings'  => 'cinematix_social_2_link',
    'label'    => 'Your YouTube channel link',
) );



$wp_customize->add_setting( 'cinematix_social_3' , array(
    'sanitize_callback' => 'esc_url_raw',
) );


$wp_customize->add_control( 'cinematix_social_3', array(
    'type'     => 'checkbox',
    'priority' => 2,
    'section'  => 'cinematix_footer_section',
    'settings'  => 'cinematix_social_3',
    'label'    => 'Disable Twitter icon',
) );


$wp_customize->add_setting( 'cinematix_social_3_link' , array(
    'default' => '//twitter.com',
    'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( 'cinematix_social_3_link', array(
    'type'     => 'url',
    'priority' => 2,
    'section'  => 'cinematix_footer_section',
    'settings'  => 'cinematix_social_3_link',
    'label'    => 'Your Twitter profile link',
) );


$wp_customize->add_setting( 'cinematix_social_4' , array(
    'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( 'cinematix_social_4', array(
    'type'     => 'checkbox',
    'priority' => 2,
    'section'  => 'cinematix_footer_section',
    'settings'  => 'cinematix_social_4',
    'label'    => 'Disable RSS icon',
) );


$wp_customize->add_setting( 'cinematix_social_5' , array(
    'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( 'cinematix_social_5', array(
    'type'     => 'checkbox',
    'priority' => 2,
    'section'  => 'cinematix_footer_section',
    'settings'  => 'cinematix_social_5',
    'label'    => 'Disable Instagram icon',
) );


$wp_customize->add_setting( 'cinematix_social_5_link' , array(
    'default' => '//instagram.com',
    'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( 'cinematix_social_5_link', array(
    'type'     => 'url',
    'priority' => 2,
    'section'  => 'cinematix_footer_section',
    'settings'  => 'cinematix_social_5_link',
    'label'    => 'Your Instagram profile link',
) );


$wp_customize->add_setting( 'cinematix_footer_copyright' , array(
    'default' => "All rights reserved. No parts of this site may be copied without our written permission.",
    'sanitize_callback' => 'esc_attr',
) );

$wp_customize->add_control( 'cinematix_footer_copyright', array(
    'type'     => 'textarea',
    'priority' => 2,
    'section'  => 'cinematix_footer_section',
    'settings'  => 'cinematix_footer_copyright',
    'label'    => 'Footer copyright info',
) );


/////////////////////////////////////////////////////////////////////////////////////////////


$wp_customize->add_section( 'cinematix_font_section' , array(
    'title'       => 'Fonts',
    'priority'    => 99,
    'description' => 'Change fonts',

) );


$wp_customize->add_setting( 'cinematix_font_name' , array(
    'default' => 'Montserrat',
    'sanitize_callback' => 'esc_attr',
) );

$wp_customize->add_control( 'cinematix_font_name', array(
    'type'     => 'text',
    'priority' => 1,
    'section'  => 'cinematix_font_section',
    'settings'  => 'cinematix_font_name',
    'label'    => 'Name of the font:',
) );



$wp_customize->add_setting( 'cinematix_font_url' , array(
    'default' => '//fonts.googleapis.com/css?family=Montserrat:400,400i,500,600,700,800,900&display=swap',
    'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( 'cinematix_font_url', array(
    'type'     => 'url',
    'priority' => 1,
    'section'  => 'cinematix_font_section',
    'settings'  => 'cinematix_font_url',
    'label'    => 'URL of the font:',
) );


$wp_customize->add_setting( 'cinematix_font_2_enable', array(
        'sanitize_callback' => 'sanitize_text_field'
    ) );

$wp_customize->add_control( 'cinematix_font_2_enable', array(
    'type'     => 'checkbox',
    'priority' => 1,
    'section'  => 'cinematix_font_section',
    'settings'  => 'cinematix_font_2_enable',
    'label'    => 'Enable the 2nd font if you want to use a different font for content.',
) );


$wp_customize->add_setting( 'cinematix_font_name_2' , array(
    'sanitize_callback' => 'esc_attr'
) );

$wp_customize->add_control( 'cinematix_font_name_2', array(
    'type'     => 'text',
    'priority' => 1,
    'section'  => 'cinematix_font_section',
    'settings'  => 'cinematix_font_name_2',
    'label'    => 'Name of the 2nd font:',
) );


$wp_customize->add_setting( 'cinematix_font_url_2' , array(
    'default' => 'https://fonts.googleapis.com/',
    'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( 'cinematix_font_url_2', array(
    'type'     => 'url',
    'priority' => 1,
    'section'  => 'cinematix_font_section',
    'settings'  => 'cinematix_font_url_2',
    'label'    => 'URL of the 2nd font:',
) );

/////////////////////////////////////////////////////////////////////////////////////////////

$wp_customize->add_section( 'cinematix_intranet_section' , array(
    'title'       => 'Intranet',
    'priority'    => 99,
    'description' => '',
) );


$wp_customize->add_setting( 'cinematix_intranet_enable', array(
        'sanitize_callback' => 'sanitize_text_field'
    ) );

$wp_customize->add_control( 'cinematix_intranet_enable', array(
    'type'     => 'checkbox',
    'priority' => 1,
    'section'  => 'cinematix_intranet_section',
    'settings'  => 'cinematix_intranet_enable',
    'label'    => 'Enable intranet. Your entire website will be available for logged in members only. Guests can browse pages with following slugs: login, register, intranet, recovery. You should create landing page for guests with the intranet slug.',
) );


$wp_customize->add_setting( 'cinematix_intranet_pages', array(
        'default' => 'login,register,intranet,recovery',
        'sanitize_callback' => 'esc_attr',
    ) );

$wp_customize->add_control( 'cinematix_intranet_pages', array(
    'type'     => 'text',
    'priority' => 1,
    'section'  => 'cinematix_intranet_section',
    'settings'  => 'cinematix_intranet_pages',
    'label'    => 'Put slugs of pages available for guests:',
) );

$wp_customize->add_setting( 'cinematix_intranet_landing', array(
        'default' => 'intranet',
        'sanitize_callback' => 'esc_attr',
    ) );

$wp_customize->add_control( 'cinematix_intranet_landing', array(
    'type'     => 'text',
    'priority' => 1,
    'section'  => 'cinematix_intranet_section',
    'settings'  => 'cinematix_intranet_landing',
    'label'    => 'Slug of the lanfing page:',
) );

/////////////////////////////////////////////////////////////////////////////////////////////

$wp_customize->add_section( 'cinematix_live_notifications' , array(
    'title'       => 'Live notifications',
    'priority'    => 99,
    'description' => 'Enable Live Notifications',
) );


$wp_customize->add_setting( 'cinematix_live_notifications_enable', array(
        'sanitize_callback' => 'sanitize_text_field'
    ) );

$wp_customize->add_control( 'cinematix_live_notifications_enable', array(
    'type'     => 'checkbox',
    'priority' => 1,
    'section'  => 'cinematix_live_notifications',
    'settings'  => 'cinematix_live_notifications_enable',
    'label'    => 'Enable live notifications. Please keep in mind it will increase your server resources usage if you have many online visitors.',
) );



$wp_customize->add_setting( 'cinematix_live_notifications_interval', array(
        'default' => 15,
        'sanitize_callback' => 'sanitize_text_field'
    ) );

$wp_customize->add_control( 'cinematix_live_notifications_interval', array(
    'type'     => 'select',
    'choices'  => array(
            '15'  => '15 seconds',
            '30' => '30 seconds',
            '45'  => '45 seconds',
            '60' => '60 seconds',
            '75' => '75 seconds',
            '90' => '90 seconds',
            '120' => '120 seconds'
    ),
    'priority' => 1,
    'section'  => 'cinematix_live_notifications',
    'settings'  => 'cinematix_live_notifications_interval',
    'label'    => 'Heartbeat API time interval',
) );


/////////////////////////////////////////////////////////////////////////////////////////////

$wp_customize->add_section( 'cinematix_transients_section' , array(
    'title'       => 'Transients (fragment cache)',
    'priority'    => 99,
    'description' => '',
) );



$wp_customize->add_setting( 'cinematix_transient_compact_menu_enable', array(
        'default' => 0,
        'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_compact_menu_enable', array(
    'type'     => 'checkbox',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_compact_menu_enable',
    'label'    => 'Enable transients for the compact menu',
) );


$wp_customize->add_setting( 'cinematix_transient_compact_menu_expiration', array(
    'default' => 10080,
    'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_compact_menu_expiration', array(
    'type'     => 'number',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_compact_menu_expiration',
    'label'    => 'Compact menu cache expiration time in minutes:',
) );



$wp_customize->add_setting( 'cinematix_transient_header_menu_enable', array(
        'default' => 0,
        'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_header_menu_enable', array(
    'type'     => 'checkbox',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_header_menu_enable',
    'label'    => 'Enable transients for the header menu',
) );


$wp_customize->add_setting( 'cinematix_transient_header_menu_expiration', array(
    'default' => 10080,
    'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_header_menu_expiration', array(
    'type'     => 'number',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_header_menu_expiration',
    'label'    => 'Header menu cache expiration time in minutes:',
) );



$wp_customize->add_setting( 'cinematix_transient_footer_enable', array(
        'default' => 0,
        'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_footer_enable', array(
    'type'     => 'checkbox',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_footer_enable',
    'label'    => 'Enable transients for the footer',
) );


$wp_customize->add_setting( 'cinematix_transient_footer_expiration', array(
    'default' => 10080,
    'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_footer_expiration', array(
    'type'     => 'number',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_footer_expiration',
    'label'    => 'Footer cache expiration time in minutes:',
) );



$wp_customize->add_setting( 'cinematix_transient_sidebar_pages_enable', array(
        'default' => 0,
        'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_sidebar_pages_enable', array(
    'type'     => 'checkbox',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_sidebar_pages_enable',
    'label'    => 'Enable transients for the pages sidebar',
) );


$wp_customize->add_setting( 'cinematix_transient_sidebar_pages_expiration', array(
    'default' => 20,
    'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_sidebar_pages_expiration', array(
    'type'     => 'number',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_sidebar_pages_expiration',
    'label'    => 'Pages sidebar cache expiration time in minutes:',
) );



$wp_customize->add_setting( 'cinematix_transient_sidebar_blog_enable', array(
        'default' => 0,
        'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_sidebar_blog_enable', array(
    'type'     => 'checkbox',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_sidebar_blog_enable',
    'label'    => 'Enable transients for the blog sidebar',
) );


$wp_customize->add_setting( 'cinematix_transient_sidebar_blog_expiration', array(
    'default' => 20,
    'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_sidebar_blog_expiration', array(
    'type'     => 'number',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_sidebar_blog_expiration',
    'label'    => 'Blog sidebar cache expiration time in minutes:',
) );



$wp_customize->add_setting( 'cinematix_transient_sidebar_single_post_enable', array(
        'default' => 0,
        'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_sidebar_single_post_enable', array(
    'type'     => 'checkbox',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_sidebar_single_post_enable',
    'label'    => 'Enable transients for the single blog post sidebar',
) );


$wp_customize->add_setting( 'cinematix_transient_sidebar_single_post_expiration', array(
    'default' => 20,
    'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_sidebar_single_post_expiration', array(
    'type'     => 'number',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_sidebar_single_post_expiration',
    'label'    => 'Single blog post sidebar cache expiration time in minutes:',
) );



$wp_customize->add_setting( 'cinematix_transient_sidebar_activity_enable', array(
        'default' => 0,
        'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_sidebar_activity_enable', array(
    'type'     => 'checkbox',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_sidebar_activity_enable',
    'label'    => 'Enable transients for the activity page sidebar',
) );


$wp_customize->add_setting( 'cinematix_transient_sidebar_activity_expiration', array(
    'default' => 20,
    'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_sidebar_activity_expiration', array(
    'type'     => 'number',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_sidebar_activity_expiration',
    'label'    => 'Activity page sidebar cache expiration time in minutes:',
) );



$wp_customize->add_setting( 'cinematix_transient_sidebar_left_enable', array(
        'default' => 0,
        'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_sidebar_left_enable', array(
    'type'     => 'checkbox',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_sidebar_left_enable',
    'label'    => 'Enable transients for the left sidebar',
) );


$wp_customize->add_setting( 'cinematix_transient_sidebar_left_expiration', array(
    'default' => 20,
    'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_sidebar_left_expiration', array(
    'type'     => 'number',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_sidebar_left_expiration',
    'label'    => 'Left sidebar cache expiration time in minutes:',
) );



$wp_customize->add_setting( 'cinematix_transient_sidebar_shop_enable', array(
        'default' => 0,
        'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_sidebar_shop_enable', array(
    'type'     => 'checkbox',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_sidebar_shop_enable',
    'label'    => 'Enable transients for the shop sidebar',
) );


$wp_customize->add_setting( 'cinematix_transient_sidebar_shop_expiration', array(
    'default' => 4320,
    'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_sidebar_shop_expiration', array(
    'type'     => 'number',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_sidebar_shop_expiration',
    'label'    => 'Shop sidebar cache expiration time in minutes:',
) );



$wp_customize->add_setting( 'cinematix_transient_left_sidebar_groups_enable', array(
        'default' => 0,
        'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_left_sidebar_groups_enable', array(
    'type'     => 'checkbox',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_left_sidebar_groups_enable',
    'label'    => 'Enable transients for the groups left sidebar',
) );


$wp_customize->add_setting( 'cinematix_transient_left_sidebar_groups_expiration', array(
    'default' => 180,
    'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_left_sidebar_groups_expiration', array(
    'type'     => 'number',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_left_sidebar_groups_expiration',
    'label'    => 'Groups left sidebar cache expiration time in minutes:',
) );



$wp_customize->add_setting( 'cinematix_transient_leaderboard_small_enable', array(
        'default' => 0,
        'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_leaderboard_small_enable', array(
    'type'     => 'checkbox',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_leaderboard_small_enable',
    'label'    => 'Enable transients for the small leaderboard',
) );


$wp_customize->add_setting( 'cinematix_transient_leaderboard_small_expiration', array(
    'default' => 1440,
    'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_leaderboard_small_expiration', array(
    'type'     => 'number',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_leaderboard_small_expiration',
    'label'    => 'Leaderboard (small) cache expiration time in minutes:',
) );



$wp_customize->add_setting( 'cinematix_transient_leaderboard_big_enable', array(
        'default' => 0,
        'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_leaderboard_big_enable', array(
    'type'     => 'checkbox',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_leaderboard_big_enable',
    'label'    => 'Enable transients for the big leaderboard',
) );


$wp_customize->add_setting( 'cinematix_transient_leaderboard_big_expiration', array(
    'default' => 1440,
    'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_leaderboard_big_expiration', array(
    'type'     => 'number',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_leaderboard_big_expiration',
    'label'    => 'Leaderboard (big) cache expiration time in minutes:',
) );




$wp_customize->add_setting( 'cinematix_transient_most_popular_enable', array(
        'default' => 0,
        'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_most_popular_enable', array(
    'type'     => 'checkbox',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_most_popular_enable',
    'label'    => 'Enable transients for the most popular posts shortcode',
) );


$wp_customize->add_setting( 'cinematix_transient_most_popular_expiration', array(
    'default' => 1440,
    'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_most_popular_expiration', array(
    'type'     => 'number',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_most_popular_expiration',
    'label'    => 'Most popular posts shortcode cache expiration time in minutes:',
) );




$wp_customize->add_setting( 'cinematix_transient_cat_posts_enable', array(
        'default' => 0,
        'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_cat_posts_enable', array(
    'type'     => 'checkbox',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_cat_posts_enable',
    'label'    => 'Enable transients for the category posts shortcode on frontpage',
) );


$wp_customize->add_setting( 'cinematix_transient_cat_posts_expiration', array(
    'default' => 1440,
    'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_cat_posts_expiration', array(
    'type'     => 'number',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_cat_posts_expiration',
    'label'    => 'Category posts shortcode cache expiration time in minutes:',
) );




$wp_customize->add_setting( 'cinematix_transient_comments_enable', array(
        'default' => 0,
        'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_comments_enable', array(
    'type'     => 'checkbox',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_comments_enable',
    'label'    => 'Enable transients for the comments shortcode',
) );


$wp_customize->add_setting( 'cinematix_transient_comments_expiration', array(
    'default' => 20,
    'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_comments_expiration', array(
    'type'     => 'number',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_comments_expiration',
    'label'    => 'Comments shortcode cache expiration time in minutes:',
) );




$wp_customize->add_setting( 'cinematix_transient_forum_topics_enable', array(
        'default' => 0,
        'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_forum_topics_enable', array(
    'type'     => 'checkbox',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_forum_topics_enable',
    'label'    => 'Enable transients for the recent forum topics shortcode',
) );


$wp_customize->add_setting( 'cinematix_transient_forum_topics_expiration', array(
    'default' => 20,
    'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_forum_topics_expiration', array(
    'type'     => 'number',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_forum_topics_expiration',
    'label'    => 'Recent forum topics shortcode cache expiration time in minutes:',
) );



$wp_customize->add_setting( 'cinematix_transient_categories_enable', array(
        'default' => 0,
        'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_categories_enable', array(
    'type'     => 'checkbox',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_categories_enable',
    'label'    => 'Enable transients for the categories list shortcode',
) );


$wp_customize->add_setting( 'cinematix_transient_categories_expiration', array(
    'default' => 4320,
    'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_transient_categories_expiration', array(
    'type'     => 'number',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_transient_categories_expiration',
    'label'    => 'Categories list shortcode cache expiration time in minutes:',
) );



$wp_customize->add_setting( 'cinematix_featured_products_enable', array(
        'default' => 0,
        'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_featured_products_enable', array(
    'type'     => 'checkbox',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_featured_products_enable',
    'label'    => 'Enable transients for the frontpage WooCommerce featured products shortcode',
) );


$wp_customize->add_setting( 'cinematix_featured_products_expiration', array(
    'default' => 4320,
    'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'cinematix_featured_products_expiration', array(
    'type'     => 'number',
    'section'  => 'cinematix_transients_section',
    'settings'  => 'cinematix_featured_products_expiration',
    'label'    => 'WooCommerce featured products cache expiration time in minutes:',
) );


/////////////////////////////////////////////////////////////////////////////////////////////


}
